global modelnumber

var 
R
R_K
N_r 
N_nr 
K 
W_nr 
W_r 
x 
b
y  
c_r 
c_nr 
p_x 
lambda_nr
lambda_r
A_x
;


varexo eps_x ;


parameters 
beta_nr 
beta_r  
tau 
delta 
phi 
NU 
SIGMA  
rho 
m 
SIGMAX
ZRHO_X
;


beta_nr = 0.94;
beta_r  = 0.94;
tau = 2;
delta = 0.035;
phi = 0.5;
NU = 0.3;
SIGMA = 0.5;
rho = 0.5;
m = 0.5;
SIGMAX = 0.01;
ZRHO_X = 0.8;



model;

%Non-Routine Worker

c_nr + K = W_nr*N_nr + (R_K + 1 - delta)*K(-1) ;

c_nr = 1/lambda_nr ;

tau/(1-N_nr) = lambda_nr*W_nr ;

R_K(+1) = (1/beta_nr)*(lambda_nr/lambda_nr(+1)) - 1 + delta ;


%Routine Worker

c_r + b = W_r*N_r + R*b(-1) ;

c_r = 1/lambda_r ;

tau/(1-N_r) = lambda_r*W_r ;

R = 1/beta_r*(lambda_nr/lambda_nr(+1)) ;


%Robot Producers 

p_x = x ;


%Final Good Firm

y = (K(-1))^(NU)*N_nr^((1-NU)*SIGMA)*(exp(A_x)*m*x^(rho) + (1-m)*N_r^(rho) )^((1-NU)*(1-SIGMA)/rho );

(1-NU)*SIGMA*y = W_nr*N_nr;

(1-NU)*(1-SIGMA)*( y/(m*x^(rho) + (1-m)*N_r^(rho)) )*(1-m)*N_r^(rho-1) = W_r ;

(1-NU)*(1-SIGMA)*( y/(m*x^(rho) + (1-m)*N_r^(rho)) )*(m)*x^(rho-1) = phi ;

NU*y=R_K*K(-1) ;


%Market Clearing

y = c_nr + c_r + K -(1-delta)*K(-1) ;


%Shock Process

A_x = ZRHO_X*(A_x(-1)) + eps_x ;



end;

shocks;
var eps_x; stderr 100*SIGMAX ;
end;


steady;

resid;

check;

model_diagnostics;


stoch_simul(order=1) ;


    
