function [ys,check]=robots_steadystate(junk,ys)

global M_ 

% read out parameters to access them with their name
NumberOfParameters = M_.param_nbr;
for ii = 1:NumberOfParameters
  paramname = deblank(M_.param_names(ii,:)); %deblank gets rid of white spaces e.g. 'DELTA     ' becomes 'DELTA'
  eval([ paramname ' = M_.params(' int2str(ii) ');']);
end
% initialize indicator

 
 check=0;
 
R = 1/beta_r ;
R_K = 1/beta_nr - 1 - delta ;
oo1 = R_K - delta ;
oo2 = 1 + oo1*(NU/R_K)*(1/((1-NU)*SIGMA)) ;
N_r = 1/(1+tau);
N_nr = 1/(1+oo2*tau) ;

fun=@MyFunction ;
x0 = [10,10,10,10,10];
options = optimoptions(@fsolve) ;
[unknown_var,fval,exitflag,output] = fsolve(fun,x0, options);

%{
%x0 = [10,10,10,10,10];
%[unkown_var,fval,exitflag,output] = fsolve(@(unkown_var)solve_unkowns(unkown_var, sigma, R_K, m, rho, NU, phi, N_nr, N_r),x0, options);
 
function F=solve_unkowns(unkown_var, sigma, R_K, m, rho, NU, phi, N_nr, N_r)
K=unkown_var(1);
W_nr=unkown_var(2);
W_r =unkown_var(3);
x =unkown_var(4);
y =unkown_var(5);

F=[ (1-NU)*sigma*N_nr^((1-NU)*sigma - 1) * K^(NU) *( m*x^(rho) + (1-m)*N_r^(rho) )^((1-NU)*(1-sigma)/rho) - W_nr ;
 N_nr^((1-NU)*sigma)*(1-sigma)*(1-NU) * K^(NU) *( m*x^(rho) + (1-m)*N_r^(rho) )^(((1-NU)*(1-sigma)/rho) - 1)*(1-m)*N_r^(rho-1) - W_r ;
 N_nr^((1-NU)*sigma)*(1-sigma)*(1-NU) * K^(NU) *( m*x^(rho) + (1-m)*N_r^(rho) )^(((1-NU)*(1-sigma)/rho) - 1)*m*x^(rho-1) - phi;
 K - y*NU/R_K  ;
 y - K^(NU)*N_nr^((1-NU)*sigma)*( m*x^(rho) + (1-m)*N_r^(rho) )^((1-NU)*(1-sigma)/rho ) ] ;

end 
%}


K = unknown_var(1,1);
W_nr = unknown_var(1,2);
W_r = unknown_var(1,3);
x = unknown_var(1,4); 
y = unknown_var(1,5); 

c_r = W_r*N_r ;

c_nr = oo2*W_nr*N_nr;

p_r = x ;

lambda_nr = 1/c_nr;

lambda_r = 1/c_r;

b = 0;

p_x = phi ;

A_x = 0;

%% end own model equations

for iter = 1:length(M_.params) %update parameters set in the file
  eval([ 'M_.params(' num2str(iter) ') = ' M_.param_names(iter,:) ';' ])
end

NumberOfEndogenousVariables = M_.orig_endo_nbr; %auxiliary variables are set automatically
for ii = 1:NumberOfEndogenousVariables
  varname = deblank(M_.endo_names(ii,:));
  eval(['ys(' int2str(ii) ') = ' varname ';']);
end


